## org.jfree.util
Class ShapeList

    java.lang.Object
      org.jfree.util.AbstractObjectList
          org.jfree.util.ShapeList

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class ShapeList

extends AbstractObjectList

A table of `Shape` objects.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jfree.util.AbstractObjectList
`DEFAULT_INITIAL_CAPACITY`

Constructor Summary
`ShapeList()` Creates a new list.

Method Summary
`java.lang.Object` `clone()` Returns an independent copy of the list.
`boolean` `equals(java.lang.Object obj)` Tests the list for equality with another object (typically also a list).
`java.awt.Shape` `getShape(int index)` Returns a `Shape` object from the list.
`int` `hashCode()` Returns a hash code value for the object.
`void` `setShape(int index, java.awt.Shape shape)` Sets the `Shape` for an item in the list.

Methods inherited from class org.jfree.util.AbstractObjectList
`clear, get, indexOf, set, size`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShapeList

    public ShapeList()

  Creates a new list.

Method Detail

### getShape

    public java.awt.Shape getShape(int index)

  Returns a `Shape` object from the list.

  Parameters:
    `index` - the index (zero-based).
  Returns:
    The object.

### setShape

    public void setShape(int index,
                         java.awt.Shape shape)

  Sets the `Shape` for an item in the list. The list is expanded if necessary.

  Parameters:
    `index` - the index (zero-based).
    `shape` - the `Shape`.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns an independent copy of the list.

  Overrides:
    `clone` in class `AbstractObjectList`
  Returns:
    A clone.
  Throws:
    `java.lang.CloneNotSupportedException` - if an item in the list does not support cloning.

### equals

    public boolean equals(java.lang.Object obj)

  Tests the list for equality with another object (typically also a list).

  Overrides:
    `equals` in class `AbstractObjectList`
  Parameters:
    `obj` - the other object (`null` permitted).
  Returns:
    A boolean.

### hashCode

    public int hashCode()

  Returns a hash code value for the object.

  Overrides:
    `hashCode` in class `AbstractObjectList`
  Returns:
    the hashcode